package com.zd.laboratory.service;

import java.util.List;
import java.util.Map;

import com.zd.laboratory.domain.LabBuilding;
import com.zd.laboratory.domain.vo.LabBuildingInfoVO;
import com.zd.laboratory.domain.vo.LabBuildingVO;
import com.zd.laboratory.domain.vo.LabSubjectVO;

/**
 * 楼栋Service接口
 *
 * @author zd
 * @date 2021-09-01
 */
public interface ILabBuildingService {
    /**
     * 查询楼栋
     *
     * @param id 楼栋主键
     * @return 楼栋
     */
    public LabBuilding selectLabBuildingById(Long id);

    /**
     * 查询楼栋列表
     *
     * @param labBuilding 楼栋
     * @return 楼栋集合
     */
    public List<LabBuilding> selectLabBuildingList(LabBuilding labBuilding);

    /**
     * 新增楼栋
     *
     * @param labBuilding 楼栋
     * @return 结果
     */
    public int insertLabBuilding(LabBuilding labBuilding);


    /**
     * 修改楼栋
     *
     * @param labBuilding 楼栋
     * @return 结果
     */
    public int updateLabBuilding(LabBuilding labBuilding);

    /**
     * 批量删除楼栋
     *
     * @param ids 需要删除的楼栋主键集合
     * @return 结果
     */
    public int deleteLabBuildingByIds(Long[] ids);

    /**
     * 删除楼栋信息
     *
     * @param id 楼栋主键
     * @return 结果
     */
    public int deleteLabBuildingById(Long id);


    /**
     * 查询楼栋列表(不分页)
     *
     * @param labBuilding 楼栋
     * @return 楼栋集合
     */
    public List<LabBuilding> getBuildLlist(LabBuilding labBuilding);

    /**
     * 实验室布局图列表
     *
     * @return 实验室布局图集合
     */
    public List<Map<String, Object>> labLayout(LabBuildingVO labBuilding);

    List<LabBuildingInfoVO> labInfoLayout(LabBuildingVO labBuilding);
}
